Activity log for bug #1264434

Date Who What changed Old value New value Message
2013-12-27 05:26:43 Liusheng bug added bug
2013-12-27 05:28:35 Liusheng ceilometer: assignee Liusheng (liusheng)
2013-12-27 06:09:16 Liusheng description In my all-in-one Havana environment,When using"time ceilometer meter-list", 193 meters listed in 1.275s: http://paste.openstack.org/show/57313/ When using "time ceilometer resource-list", 40 resource listed in 2m14.775s: http://paste.openstack.org/show/57319/ I have searched around the process of listing resource,and I fond there are time-consuming traversal of list. I think the process should be optimized In my all-in-one Havana environment,and ceilometer storage configured as mysql. When using"time ceilometer meter-list", 193 meters listed in 1.275s: http://paste.openstack.org/show/57313/ When using "time ceilometer resource-list", 40 resource listed in 2m14.775s: http://paste.openstack.org/show/57319/ I have searched around the process of listing resource,and I fond there are time-consuming traversal of list. I think the process should be optimized
2013-12-27 13:43:15 Julien Danjou ceilometer: status New Triaged
2013-12-27 13:43:19 Julien Danjou ceilometer: importance Undecided Medium
2014-01-06 13:19:46 Tim Bell bug added subscriber Tim Bell
2014-02-17 11:58:19 Mitsuru Kanabuchi bug added subscriber Mitsuru Kanabuchi
2014-02-18 07:13:25 SamP bug added subscriber Sampath Priyankara
2014-03-13 17:05:18 OpenStack Infra ceilometer: status Triaged In Progress
2014-03-13 17:05:18 OpenStack Infra ceilometer: assignee Liusheng (liusheng) gordon chung (chungg)
2014-03-20 16:29:40 Julien Danjou ceilometer: milestone icehouse-rc1
2014-03-28 13:16:36 OpenStack Infra ceilometer: status In Progress Fix Committed
2014-03-31 15:19:04 Thierry Carrez ceilometer: status Fix Committed Fix Released
2014-04-17 08:42:48 Thierry Carrez ceilometer: milestone icehouse-rc1 2014.1